<div id="generatorTiles" class="type-selector-container" *ngIf="rulesGreaterEqualOne">

  <p-card *ngFor="let rule of rules">
    <div class="flex flex-column justify-content-center align-items-center">
      <img src="/assets/{{rule.type.image}}.png" height="75px" alt="{{rule.type.name}} image"/>
      <span class="text-center">{{rule.type.name}}</span>
    </div>
    <ng-template pTemplate="footer">
      <div class="text-center">
        <p-button (click)="generateCallsign(rule.rule)">
          Generate
        </p-button>
      </div>
    </ng-template>
  </p-card>
</div>

<p-divider type="dashed" *ngIf="callsign"></p-divider>

<div class="callsign-field" id="generation-result">
  <span>{{callsign}}</span>
  <ng-template [ngIf]="callsign">
    <button pButton icon="pi pi-copy" class="p-button-rounded p-button-outlined p-button-secondary"
            (click)="copyToClipboard()"></button>
  </ng-template>
</div>

<p-toast position="bottom-center"></p-toast>
